<div class="row" ng-controller="order.ListCtrl as listCtrl">
    <div class="col-xs-12 col-md-2 col-lg-2">
        <ul class="nav nav-stacked nav-pills mb30">
            <li ng-class="{'active': listCtrl.param.status == 'all'}">
                <a class="block" href="javascript:;" ng-click="listCtrl.changeFilter($event, 'all')">
                    <span class="pull-right">{{ listCtrl.orderStatics.allTotal }}</span>
                    <span>全部</span>
                </a>
            </li>
            <li ng-class="{'active':listCtrl.param.status == 'waiting'}">
                <a class="block" href="javascript:;" ng-click="listCtrl.changeFilter($event, 'waiting')">
                    <span class="pull-right">{{ listCtrl.orderStatics.watingTotal }}</span>
                    <span>待支付/待确认</span>
                </a>
            </li>
            <li ng-class="{'active':listCtrl.param.status == 'confirmed'}">
                <a class="block" href="javascript:;" ng-click="listCtrl.changeFilter($event, 'confirmed')">
                    <span class="pull-right">{{ listCtrl.orderStatics.confirmedTotal }}</span>
                    <span>已支付/已确认</span>
                </a>
            </li>
            <li>
                <a class="block" href="javascript:;" ng-click="listCtrl.changeFilter($event, 'effected')">
                    <span class="pull-right">{{ listCtrl.orderStatics.effectedTotal }}</span>
                    <span>行程生效</span>
                </a>
            </li>
            <li>
                <a class="block" href="javascript:;" ng-click="listCtrl.changeFilter($event, 'signAgain')">
                    <span class="pull-right">{{ listCtrl.orderStatics.signAgainTotal }}</span>
                    <span>改签中</span>
                </a>
            </li>
            <li>
                <a class="block" href="javascript:;" ng-click="listCtrl.changeFilter($event, 'rejecting')">
                    <span class="pull-right">{{ listCtrl.orderStatics.rejectingTotal }}</span>
                    <span>退单中</span>
                </a>
            </li>
            <li>
                <a class="block" href="javascript:;" ng-click="listCtrl.changeFilter($event, 'deleted')">
                    <span class="pull-right">{{ listCtrl.orderStatics.deletedTotal }}</span>
                    <span>已退单</span>
                </a>
            </li>
            <li>
                <a class="block" href="javascript:;" ng-click="listCtrl.changeFilter($event, 'canceled')">
                    <span class="pull-right">{{ listCtrl.orderStatics.canceledTotal }}</span>
                    <span>已取消</span>
                </a>
            </li>
            <li>
                <a class="block" href="javascript:;" ng-click="listCtrl.changeFilter($event, 'finish')">
                    <span class="pull-right">{{ listCtrl.orderStatics.finishTotal }}</span>
                    <span>行程结束</span>
                </a>
            </li>
        </ul>
    </div>
    <div class="col-xs-12 col-md-10 col-lg-10">
        <form class="row">
            <div class="col-xs-8 col-md-6 col-lg-4 input-group">
                <input disable-valid-styling="true" type="text" class="form-control" placeholder="请输入订单号进行查询" ng-model="listCtrl.param.keyword">
                <span class="input-group-btn"> 
                    <button class="btn btn-light search-btn-color" type="button" ng-click="listCtrl.search()"><span class="fa fa-search"></span></button>
                </span>
            </div>
        </form>
        <hr>
        <div ng-if="listCtrl.orders.length>0">
            <ul class="row list-style-none">
                <li class="col-xs-12 col-md-12 col-lg-6" ng-repeat="order in listCtrl.orders">
                    <section class="panel">
                        <header class="panel-heading">
                            <span class="pull-right text-muted">{{order.operator.belongTo.name}}</span>
                            <h5 class="h6">{{order.code}} <small class="text-muted">({{order.applyAt | date: 'yyyy-MM-dd HH:mm'}})</small></h5>
                            <div class="clearfix"></div>
                        </header>
                        <ul class="list-group list-style-none booker-head">
                            <li class="list-group-item booker-type">
                                <span class="badge bg-success pull-right">{{order.items.airTickets}}</span>
                                <i class="fa fa-plane mr10"></i>预订机票
                            </li>
                            <li class="list-group-item booker-type">
                                <span class="badge bg-success pull-right">{{order.items.hotels}}</span>
                                <i class="fa fa-h-square mr10"></i>预订酒店
                            </li>
                            <li class="list-group-item booker-type">
                                <span class="badge bg-success pull-right">{{order.items.trainTickets}}</span>
                                <i class="fa fa-train mr10"></i>预订火车票
                            </li>
                            <li class="list-group-item booker-type">
                                <span class="badge bg-success pull-right">{{order.items.others}}</span>
                                <i class="fa fa-cubes mr10"></i>其他项
                            </li>
                        </ul>
                        <div class="panel-body">
                            <ul class="text-center list-style-none price-all">
                                <li><span class="text-muted">总价格：</span>
                                    <mark class="text-success h3">{{order.payments.amount | currency: '¥':2}}</mark>
                                </li>
                            </ul>
                        </div>
                        <div class="mt30 order-position">
                            <div class="pull-right">
                                <button class="btn btn-default" type="button" ng-click="listCtrl.pay(order.id)" ng-if="order.payments.shouldPay > 0 && (order.status == 'needPay' || order.status == 'repay' || order.status == 'needMorePay')">立即支付</button>
                                <button class="btn btn-default" type="button" ng-click="listCtrl.payConfirm(order.id)" ng-if="order.payments.shouldPay <= 0 && (order.status == 'needPay' || order.status == 'repay' || order.status == 'needMorePay')">确认订单</button>
                                <a class="btn btn-default" ui-sref="order.detail({id:order.id})">详情</a>
                            </div>
                            <div class="text-danger">
                                <i class="fa  mr10 "></i><span>{{orderStatusText[order.status]}}</span>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                    </section>
                </li>
            </ul>
            <nav class="mt30 text-right">
                <pagination class=" mb0 mt0" items-per-page="listCtrl.param.limit" total-items="listCtrl.param.total" ng-model="listCtrl.param.start" ng-change="listCtrl.reload()"></pagination>
            </nav>
        </div>
        <section class="panel text-center" ng-if="listCtrl.orders.length<=0">
            <div class="panel-body pt30 mb30">
                <h5 class="h1">无记录信息</h5>
                <div class="mt30 mb30">
                    <button class="btn btn-default w150" type="button" ng-click="indexCtrl.reload()">刷新试试？
                    </button>
                </div>
            </div>
        </section>
    </div>
</div>
